/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.solution.service.management.data;

import com.cim.idm.framework.orm.info.access.FieldAccessor;
import com.cim.idm.solution.service.ORMTemplate;

import java.sql.Timestamp;

/**
 * @Class data.com.zi.mwms.solution.service.management.Label<br/>
 * @Description Label
 * @author ZXYGY17
 * @Time 2025-01-21 15:41:24
 */
public class Label extends FieldAccessor {

	/**
	 * 标签ID
	 */
	@ORMTemplate(seq = "1", name = "lABLE_ID", type = "Key", dataType = "String", initial = "", history = "")
	private String lABLE_ID;

	/**
	 * 标签名
	 */
	@ORMTemplate(seq = "2", name = "lABEL_NAME", type = "Column", dataType = "String", initial = "", history = "")
	private String lABEL_NAME;

	/**
	 * 描述
	 */
	@ORMTemplate(seq = "3", name = "dESCRIPTION", type = "Column", dataType = "String", initial = "", history = "")
	private String dESCRIPTION;

	/**
	 * 标签内容
	 */
	@ORMTemplate(seq = "4", name = "lABEL_TXT", type = "Column", dataType = "String", initial = "", history = "")
	private String lABEL_TXT;

	@ORMTemplate(seq = "", name = "createTime", type = "Column", dataType = "timestamp", initial = "", history = "")
	private Timestamp createTime;

	@ORMTemplate( seq = "",name = "createUser", type = "Column", dataType = "String", initial = "", history = "")
	private String createUser;

	@ORMTemplate(seq = "",name = "lastEventName", type = "Column", dataType = "String", initial = "", history = "EVENTNAME")
	private String lastEventName;

	@ORMTemplate(seq = "",name = "lastEventTimeKey", type = "Column", dataType = "String", initial = "", history = "TIMEKEY")
	private String lastEventTimeKey;

	@ORMTemplate(seq = "",name = "lastEventTime", type = "Column", dataType = "timestamp", initial = "", history = "EVENTTIME")
	private Timestamp lastEventTime;

	@ORMTemplate(seq = "",name = "lastEventUser", type = "Column", dataType = "String", initial = "", history = "EVENTUSER")
	private String lastEventUser;

	@ORMTemplate(seq = "",name = "lastEventComment", type = "Column", dataType = "String", initial = "", history = "EVENTCOMMENT")
	private String lastEventComment;

	public String getLABLE_ID() {
		return lABLE_ID;
	}

	public void setLABLE_ID(String lABLE_ID) {
		this.lABLE_ID = lABLE_ID;
	}

	public String getLABEL_NAME() {
		return lABEL_NAME;
	}

	public void setLABEL_NAME(String lABEL_NAME) {
		this.lABEL_NAME = lABEL_NAME;
	}

	public String getDESCRIPTION() {
		return dESCRIPTION;
	}

	public void setDESCRIPTION(String dESCRIPTION) {
		this.dESCRIPTION = dESCRIPTION;
	}

	public String getLABEL_TXT() {
		return lABEL_TXT;
	}

	public void setLABEL_TXT(String lABEL_TXT) {
		this.lABEL_TXT = lABEL_TXT;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

}
